YII2使用时出现The file or directory to be published does not exist

wuchangjian2021-11-03 17:49:43编程学习

公司有一个老项目是YII2的。因为要装markdown编辑器,好不容易找到一个合适的装上后。

一直报上述错误。

主要是找不到 bower/editor.md

因为新版本拉下来会是在 bower-asset/editor.md。

网上各种升级 fxp/composer-asset-plugin, 可实际情况是  fxp/composer-asset-plugin 这个插件照旧不更新了。

特别是composer 升级到2.0+后,这个插件根本没法用了。

我试过各种回退composer版本,升级插件,我都没办法解决。

最后我只能去修改composer YIIsort的文件,不知道有没有人知道更好的办法,解决掉这个问题,不用去修改vendor里面的文件。

 把vendor/yiisoft/yii2/base/Application 中的bower 改成 bower-asset

 

相关文章

Go+ SHA1 哈希值教程(4.12)

目录 Go+ 概述 正文 导入包 哈希值计算 Go+ 概...

“21天好习惯”第一期-9

学习内容一:java项目 在大佬的帮助下写完了作业 页面效果ÿ...

排序(快排)

 //快排模板 先取一个数x,将比x小的放在x的左边,比x...

发表评论    

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。